@charset "UTF-8";
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}

article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
  display: block;
}

body {
  line-height: 1;
}

ol, ul {
  list-style: none;
}

blockquote, q {
  quotes: none;
}

blockquote:before, blockquote:after,
q:before, q:after {
  content: "";
  content: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

*,
*:before,
*:after {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

table {
  max-width: 100%;
  background-color: transparent;
}

th {
  text-align: left;
  font-size: 1.4rem;
  line-height: 1.7;
  text-transform: uppercase;
  font-weight: 700;
}

.table {
  width: 100%;
  margin-bottom: 3rem;
}
.table thead > tr > th,
.table thead > tr > td,
.table tbody > tr > th,
.table tbody > tr > td,
.table tfoot > tr > th,
.table tfoot > tr > td {
  padding: 0.8rem;
  line-height: 1.7;
  vertical-align: top;
  border-bottom: 1px solid #ddd;
  -webkit-transition: background-color 0.1s linear;
  transition: background-color 0.1s linear;
}
.table thead > tr > th.col-name,
.table thead > tr > td.col-name,
.table tbody > tr > th.col-name,
.table tbody > tr > td.col-name,
.table tfoot > tr > th.col-name,
.table tfoot > tr > td.col-name {
  width: 12rem;
  overflow: hidden;
  text-overflow: ellipsis;
}
.table thead > tr > th.col-nr,
.table thead > tr > td.col-nr,
.table tbody > tr > th.col-nr,
.table tbody > tr > td.col-nr,
.table tfoot > tr > th.col-nr,
.table tfoot > tr > td.col-nr {
  width: 4rem;
  text-align: right;
}
.table tbody:first-of-type > tr > th,
.table tbody:first-of-type > tr > td {
  border-top: 1px solid #ddd;
}
.table thead > tr > th {
  vertical-align: bottom;
  border-bottom: 2px solid #ddd;
}
.table caption + thead tr:first-child th, .table caption + thead tr:first-child td,
.table colgroup + thead tr:first-child th,
.table colgroup + thead tr:first-child td,
.table thead:first-child tr:first-child th,
.table thead:first-child tr:first-child td {
  border-top: 0;
}
.table tbody + tbody {
  border-top: 2px solid #ddd;
}
.table .table {
  background-color: #fff;
}

.table-condensed thead > tr > th,
.table-condensed thead > tr > td,
.table-condensed tbody > tr > th,
.table-condensed tbody > tr > td,
.table-condensed tfoot > tr > th,
.table-condensed tfoot > tr > td {
  padding: 0.4rem;
}

.table-hover > tbody > tr:hover > td,
.table-hover > tbody > tr:hover > th {
  background-color: #ddd;
}
.table-hover > tbody > tr:hover.alert-success > td,
.table-hover > tbody > tr:hover.alert-success > th {
  background-color: #00dd66;
}
.table-hover > tbody > tr:hover.alert-warning > td,
.table-hover > tbody > tr:hover.alert-warning > th {
  background-color: #ffcc00;
}
.table-hover > tbody > tr:hover.alert-error > td,
.table-hover > tbody > tr:hover.alert-error > th {
  background-color: #dd2255;
}

.table > thead > tr > td.active,
.table > thead > tr > th.active, .table > thead > tr.active > td, .table > thead > tr.active > th,
.table > tbody > tr > td.active,
.table > tbody > tr > th.active,
.table > tbody > tr.active > td,
.table > tbody > tr.active > th,
.table > tfoot > tr > td.active,
.table > tfoot > tr > th.active,
.table > tfoot > tr.active > td,
.table > tfoot > tr.active > th {
  background-color: #f5f5f5;
}

.file-icon  {
  width: 2.5rem;
  text-align: center;
}

.file-size {
  width: 15rem;
  text-align: right;
}

input,
button,
select,
textarea {
  font-family: "Google Sans", sans-serif;
  font-weight: 400;
}

select,
textarea,
input[type=text],
input[type=password],
input[type=datetime],
input[type=datetime-local],
input[type=date],
input[type=month],
input[type=time],
input[type=week],
input[type=number],
input[type=email],
input[type=url],
input[type=search],
input[type=tel],
input[type=color] {
  display: inline-block;
  width: 100%;
  margin: 0;
  padding: 0.2rem 0.6rem;
  font-size: 1.6rem;
  line-height: 1.7;
  color: #000;
  vertical-align: middle;
  background-color: #f0f0f0;
  border: none;
  border-radius: 0;
}
select:focus,
textarea:focus,
input[type=text]:focus,
input[type=password]:focus,
input[type=datetime]:focus,
input[type=datetime-local]:focus,
input[type=date]:focus,
input[type=month]:focus,
input[type=time]:focus,
input[type=week]:focus,
input[type=number]:focus,
input[type=email]:focus,
input[type=url]:focus,
input[type=search]:focus,
input[type=tel]:focus,
input[type=color]:focus {
  outline: 0;
  background-color: #f3f3f3;
}
select[disabled],
textarea[disabled],
input[type=text][disabled],
input[type=password][disabled],
input[type=datetime][disabled],
input[type=datetime-local][disabled],
input[type=date][disabled],
input[type=month][disabled],
input[type=time][disabled],
input[type=week][disabled],
input[type=number][disabled],
input[type=email][disabled],
input[type=url][disabled],
input[type=search][disabled],
input[type=tel][disabled],
input[type=color][disabled] {
  border-color: #f7f7f7;
  color: #999;
}

select {
  -webkit-appearance: none;
  height: 1.7;
  background-color: #e9e9e9;
  background-image: url("../_img/select-arrows.svg");
  background-size: auto 1.7;
  background-position: right center;
  background-repeat: no-repeat;
}

textarea {
  height: auto;
}

input.datum {
  width: 9.5rem;
}

input.zeit {
  width: 5rem;
}

input[type=range] {
  -webkit-appearance: none;
  width: 100%;
}
input[type=range]:focus {
  outline: none;
}
input[type=range]::-webkit-slider-runnable-track {
  width: 100%;
  height: 6px;
  box-shadow: none;
  background: #ccc;
  border-radius: 3px;
  border: 0;
}
input[type=range]::-webkit-slider-thumb {
  box-shadow: none;
  border: 0;
  height: 18px;
  width: 18px;
  border-radius: 9px;
  background: #0099ff;
  -webkit-appearance: none;
  margin-top: -6px;
}
input[type=range]::-webkit-slider-container {
  background: transparent;
}
input[type=range][disabled]::-webkit-slider-runnable-track {
  background: #eee;
}
input[type=range][disabled]::-webkit-slider-thumb {
  background: #aaa;
}

.form-group {
  margin-bottom: 1.5rem;
}
.form-group label:not(.radio-inline):not(.checkbox-inline):not(.radio):not(.checkbox) {
  display: block;
  font-size: 1.4rem;
  line-height: 1.7;
  text-transform: uppercase;
  font-style: italic;
  padding-bottom: 0.5rem;
}
.form-group label.radio,
.form-group label.checkbox {
  display: block;
  padding-top: 0.6rem;
}
.form-group label.radio dl,
.form-group label.checkbox dl {
  width: 100%;
  overflow: hidden;
  line-height: 1.5;
}
.form-group label.radio dt,
.form-group label.checkbox dt {
  float: left;
  width: 2rem;
}
.form-group label.radio dd,
.form-group label.checkbox dd {
  float: left;
}
.form-group .error,
.form-group .success {
  display: none;
  font-size: 1.4rem;
  line-height: 1.7;
  margin: 0.5rem 0.6rem;
}
.form-group .small {
  font-size: 1.4rem;
  line-height: 1.7;
  margin: 0.5rem 0.6rem;
}
.form-group .small.checkbox {
  margin-left: 2rem;
}
.form-group.plt {
  margin-right: 1rem;
}
.form-group.has-success label,
.form-group.has-success .success {
  color: #00dd66 !important;
}
.form-group.has-error label,
.form-group.has-error .error {
  color: #dd2255 !important;
}
.form-group input + input {
  margin-left: 1rem;
}

.form-group-1-1 {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-column-gap: 2rem;
}

.form-actions {
  text-align: right;
  margin-top: 2rem;
}
.form-actions button {
  margin-left: 1rem;
}
.form-actions button.plt  {
  margin-left: 0;
  margin-right: 1rem;
}
.form-actions a {
  display: inline-block;
  height: 3.6rem;
  padding: 0 1.2rem;
  margin: 0;
  font-size: 1.6rem;
  line-height: 3.8rem;
}

.radio-inline,
.checkbox-inline {
  display: inline-block;
  margin-bottom: 0;
  vertical-align: middle;
  font-weight: normal;
  cursor: pointer;
  margin-left: 0.6rem;
}

.radio-inline + .radio-inline,
.checkbox-inline + .checkbox-inline {
  margin-top: 0;
  margin-left: 1rem;
}

form.inline {
  display: flex;
  align-items: flex-end;
  margin-bottom: 2rem;
}
form.inline .form-group {
  margin: 0 1rem 0 0;
}
form.inline .form-actions {
  margin: 0;
}

.btn,
.btn-main,
.btn-success,
.btn-warning,
.btn-error {
  display: inline-block;
  height: 3.6rem;
  padding: 0 1.2rem;
  margin: 0;
  font-size: 1.6rem;
  line-height: 3.8rem;
  font-weight: 500;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  border: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  -o-user-select: none;
  user-select: none;
  -webkit-appearance: none;
  -webkit-transition: background-color 0.1s linear;
  transition: background-color 0.1s linear;
  color: #555;
  background-color: #ddd;
}
.btn:hover, .btn:focus,
.btn-main:hover,
.btn-main:focus,
.btn-success:hover,
.btn-success:focus,
.btn-warning:hover,
.btn-warning:focus,
.btn-error:hover,
.btn-error:focus {
  cursor: pointer;
  color: #555;
  text-decoration: none;
}
.btn:active, .btn.active,
.btn-main:active,
.btn-main.active,
.btn-success:active,
.btn-success.active,
.btn-warning:active,
.btn-warning.active,
.btn-error:active,
.btn-error.active {
  outline: 0;
  box-shadow: inset 0 0.3rem 0.5rem rgba(0, 0, 0, 0.2);
}
.btn[disabled]:hover,
.btn-main[disabled]:hover,
.btn-success[disabled]:hover,
.btn-warning[disabled]:hover,
.btn-error[disabled]:hover {
  cursor: default;
  background-color: #ddd;
  box-shadow: none;
}
.btn i,
.btn-main i,
.btn-success i,
.btn-warning i,
.btn-error i {
  line-height: inherit;
}

.btn-main {
  color: #fff;
  background-color: #0099ff;
}
.btn-main:hover, .btn-main:focus, .btn-main:active, .btn-main.active {
  color: #fff;
}
.btn-main[disabled]:hover {
  background-color: #0099ff;
}

.btn-warning {
  color: #fff;
  background-color: #ffcc00;
}
.btn-warning:hover, .btn-warning:focus, .btn-warning:active, .btn-warning.active {
  color: #fff;
}
.btn-warning[disabled]:hover {
  background-color: #ffcc00;
}

.btn-error {
  color: #fff;
  background-color: #dd2255;
}
.btn-error:hover, .btn-error:focus, .btn-error:active, .btn-error.active {
  color: #fff;
}
.btn-error[disabled]:hover {
  background-color: #dd2255;
}

.btn-success {
  color: #fff;
  background-color: #00dd66;
}
.btn-success:hover, .btn-success:focus, .btn-success:active, .btn-success.active {
  color: #fff;
}
.btn-success[disabled]:hover {
  background-color: #00dd66;
}

.modal-open {
  overflow: hidden;
}

.modal {
  display: none;
  overflow: auto;
  overflow-y: scroll;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1040;
}
.modal.fade .modal-dialog {
  -webkit-transform: translate(0, -25%);
  -ms-transform: translate(0, -25%);
  transform: translate(0, -25%);
  -webkit-transition: -webkit-transform 0.3s ease-out;
  -moz-transition: -moz-transform 0.3s ease-out;
  -o-transition: -o-transform 0.3s ease-out;
  transition: transform 0.3s ease-out;
}
.modal.in .modal-dialog {
  -webkit-transform: translate(0, 0);
  -ms-transform: translate(0, 0);
  transform: translate(0, 0);
}

.modal-dialog {
  margin-top: 6rem;
  margin-left: auto;
  margin-right: auto;
  width: 50rem;
  padding-top: 3rem;
  padding-bottom: 3rem;
  padding: 1rem;
  z-index: 1050;
}
@media (max-width: 830px) {
  .modal-dialog {
    margin-top: 0;
    width: auto;
  }
}

.modal-content {
  position: relative;
  background-color: #fafafa;
  box-shadow: 0 0.5rem 1.5rem rgba(0, 0, 0, 0.5);
  background-clip: padding-box;
  outline: none;
}
@media (max-width: 830px) {
  .modal-content {
    box-shadow: 0 0.3rem 0.9rem rgba(0, 0, 0, 0.5);
  }
}

.modal-backdrop {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1030;
  background-color: #000;
}
.modal-backdrop.fade {
  opacity: 0;
}
.modal-backdrop.in {
  opacity: 0.5;
}

.modal-header {
  background-color: #0099ff;
  padding: 0.5rem 1.5rem;
  min-height: 4rem;
  color: #fff;
}
.modal-header.error {
  background-color: #dd2255;
}
.modal-header h3  {
  margin: 0;
  line-height: 1.7;
}

.modal-body {
  position: relative;
  padding: 1.5rem;
}

.modal-footer {
  margin-top: 2rem;
  padding: 0 1.5rem 1.5rem 1.5rem;
  text-align: right;
}
.modal-footer .btn + .btn {
  margin-left: 0.6rem;
  margin-bottom: 0;
}
.modal-footer .btn-group .btn + .btn {
  margin-left: -1px;
}
.modal-footer .btn-block + .btn-block {
  margin-left: 0;
}

.tooltip {
  position: absolute;
  z-index: 1030;
  display: block;
  visibility: visible;
  font-size: 1.4rem;
  line-height: 1.4;
  opacity: 0;
}
.tooltip.in {
  opacity: 0.9;
}
.tooltip.top {
  margin-top: -0.3rem;
  padding: 0.5rem 0;
}
.tooltip.right {
  margin-left: 0.3rem;
  padding: 0 0.5rem;
}
.tooltip.bottom {
  margin-top: 0.3rem;
  padding: 0.5rem 0;
}
.tooltip.left {
  margin-left: -0.3rem;
  padding: 0 0.5rem;
}

.tooltip-inner {
  max-width: 20rem;
  padding: 0.3rem 0.8rem;
  color: #fff;
  text-align: center;
  text-decoration: none;
  background-color: rgba(0, 0, 0, 0.9);
  border-radius: 4px;
}

.tooltip-arrow {
  position: absolute;
  width: 0;
  height: 0;
  border-color: transparent;
  border-style: solid;
}

.tooltip.top .tooltip-arrow {
  bottom: 0;
  left: 50%;
  margin-left: -0.5rem;
  border-width: 0.5rem 0.5rem 0;
  border-top-color: rgba(0, 0, 0, 0.9);
}
.tooltip.top-left .tooltip-arrow {
  bottom: 0;
  left: 0.5rem;
  border-width: 0.5rem 0.5rem 0;
  border-top-color: rgba(0, 0, 0, 0.9);
}
.tooltip.top-right .tooltip-arrow {
  bottom: 0;
  right: 0.5rem;
  border-width: 0.5rem 0.5rem 0;
  border-top-color: rgba(0, 0, 0, 0.9);
}
.tooltip.right .tooltip-arrow {
  top: 50%;
  left: 0;
  margin-top: -0.5rem;
  border-width: 0.5rem 0.5rem 0.5rem 0;
  border-right-color: rgba(0, 0, 0, 0.9);
}
.tooltip.left .tooltip-arrow {
  top: 50%;
  right: 0;
  margin-top: -0.5rem;
  border-width: 0.5rem 0 0.5rem 0.5rem;
  border-left-color: rgba(0, 0, 0, 0.9);
}
.tooltip.bottom .tooltip-arrow {
  top: 0;
  left: 50%;
  margin-left: -0.5rem;
  border-width: 0 0.5rem 0.5rem;
  border-bottom-color: rgba(0, 0, 0, 0.9);
}
.tooltip.bottom-left .tooltip-arrow {
  top: 0;
  left: 0.5rem;
  border-width: 0 0.5rem 0.5rem;
  border-bottom-color: rgba(0, 0, 0, 0.9);
}
.tooltip.bottom-right .tooltip-arrow {
  top: 0;
  right: 0.5rem;
  border-width: 0 0.5rem 0.5rem;
  border-bottom-color: rgba(0, 0, 0, 0.9);
}

:root {
  --tablet:	1090px;
  --phone:	830px;
  --normal:	normal;
  --bold:	bold;
}

body.sudoku {
  --bg:	#ffffff;
  --main-color-700:	#007483;
  --main-color-500:	#0099AC;
  --main-color-300:	#6BF0FF;
}

html {
  font-size: 100%;
}
@media (max-width: 830px) {
  html {
    font-size: 62.5%;
  }
}

body {
  display: grid;
  grid-template-rows: auto 1fr auto;
  grid-template-areas: "titel" "content" "footer";
  background-color: var(--main-color-500);
  font-family: "Google Sans", sans-serif;
  font-size: 1.6rem;
  font-weight: 400;
  color: #000;
  line-height: 1.7;
}

.titel {
  grid-area: titel;
}
@media (max-width: var(--phone)) {
  .titel {
    padding: 0 2rem;
  }
}
.titel h1 {
  width: 60rem;
  margin: 0 auto;
  padding: 4rem 0;
  border-bottom: 6rem solid var(--bg);
}
@media (max-width: var(--tablet)) {
  .titel h1 {
    width: 100%;
    padding: 2rem;
  }
}
@media (max-width: var(--phone)) {
  .titel h1 {
    border-bottom-width: 4rem;
  }
}
.titel h1 img {
  max-width: 100%;
  vertical-align: middle;
}

.wrapper {
  background-color: var(--bg);
}

.content {
  grid-area: content;
  width: 60rem;
  max-width: 100%;
  margin: 0 auto;
  padding: 0 4rem 4rem;
}
@media (max-width: var(--tablet)) {
  .content {
    width: 100%;
    padding: 2rem;
  }
}

.footer {
  grid-area: footer;
  padding-top: 2rem;
  padding-bottom: 4rem;
  background-color: var(--bg);
  text-align: center;
}
.footer svg {
  width: 6rem;
  height: 2rem;
  fill: #ddd;
  vertical-align: middle;
}

a {
  color: var(--main-color-500);
  text-decoration: none;
}
a:hover {
  color: var(--main-color-700);
  text-decoration: underline;
}
a:hover > i {
  text-decoration: none;
}
a.icon {
  padding: 0.6rem 0 0.6rem 0.6rem;
  white-space: nowrap;
}
a.labeled-icon {
  display: inline-block;
  padding: 0.3rem 0.6rem;
  margin-right: 1.2rem;
}
a.labeled-icon:last-child {
  margin-right: 0;
}
a.labeled-icon.active {
  background-color: var(--main-color-500);
  color: #fff;
}
a.inactive {
  color: #999;
}
a.inactive:hover {
  text-decoration: none;
}
a i:not(.nlb) {
  padding-right: 0.6rem;
}

strong {
  font-weight: var(--bold);
}

em {
  font-style: italic;
}

sup {
  vertical-align: super;
  font-size: 80%;
}

sub {
  vertical-align: sub;
  font-size: 80%;
}

small,
.small {
  font-size: 85%;
}

.text-muted {
  color: #aaa;
}

.text-colored  {
  color: #0099ff;
}

.text-error {
  color: #dd2255;
}

.text-success {
  color: #00dd66;
}

.text-warning {
  color: #ffcc00;
}

.lt {
  text-align: left;
}

.rt {
  text-align: right;
}

.ct {
  text-align: center;
}

p {
  margin-bottom: 1.2rem;
  line-height: 1.7;
}

h1, h2, h3, h4, h5, h6 {
  font-weight: var(--bold);
  line-height: 1.2;
}
h1 small, h2 small, h3 small, h4 small, h5 small, h6 small {
  font-weight: var(--normal);
  line-height: 1;
  color: #aaa;
}

h1 {
  font-size: 4rem;
}

h2 {
  font-size: 3rem;
}

h3 {
  font-size: 2.4rem;
}

h2:first-child {
  margin-top: 0;
}

@media (max-width: var(--phone)) {
  h2 {
    font-size: 2.4rem;
  }
  h3 {
    font-size: 2rem;
  }
}
.sudoku .grid {
  display: grid;
  grid-template-columns: repeat(9, 1fr);
  grid-template-rows: repeat(9, 1fr);
  width: 30rem;
  aspect-ratio: 1;
  margin: 4rem auto 2rem;
  border-top: 3px solid #000;
  border-left: 3px solid #000;
}
@media (max-width: var(--phone)) {
  .sudoku .grid {
    width: 100%;
  }
}
.sudoku .grid > div {
  display: flex;
  align-items: center;
  justify-content: center;
  border-right: 1px solid #000;
  border-bottom: 1px solid #000;
  color: var(--main-color-500);
}
.sudoku .grid > div.right {
  border-right-width: 3px;
}
.sudoku .grid > div.bottom {
  border-bottom-width: 3px;
}
.sudoku .grid > div.pre {
  color: #000;
}
.sudoku .grid > div.validating {
  background-color: #ffefb7;
}
.sudoku .grid > div.next {
  background-color: #aed7ff;
}
.sudoku .grid > div.valid {
  background-color: #b5ffbb;
}
.sudoku .grid > div.conflict {
  background-color: #ffb7e6;
}
.sudoku .grid > div.edit {
  background-color: var(--main-color-300);
}
.sudoku .speedcontrol {
  display: flex;
  align-items: center;
  width: 25rem;
  margin: 0 auto 2rem;
}
@media (max-width: var(--phone)) {
  .sudoku .speedcontrol {
    width: 90%;
  }
}
.sudoku .speedcontrol input {
  transform: scaleX(-1);
}
.sudoku .speedcontrol .low {
  margin-right: 2rem;
}
.sudoku .speedcontrol .low.inactive {
  color: #ccc;
}
.sudoku .speedcontrol .high {
  margin-left: 2rem;
}
.sudoku .speedcontrol .high.inactive {
  color: #ccc;
}
.sudoku .speedcontrol .light {
  margin-left: 2rem;
  color: #ccc;
}
.sudoku .speedcontrol .light:not(.inactive):hover {
  color: #aaa;
  cursor: pointer;
}
.sudoku .speedcontrol .light.active {
  color: var(--main-color-500);
}
.sudoku .stats {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 2rem;
  margin-top: 2rem;
  text-align: center;
}
@media (max-width: var(--phone)) {
  .sudoku .stats {
    grid-template-columns: 100%;
    text-align: left;
  }
}
.sudoku .alert-success,
.sudoku .alert-error {
  width: 30rem;
  margin: 2rem auto;
}
@media (max-width: var(--phone)) {
  .sudoku .alert-success,
  .sudoku .alert-error {
    width: 100%;
  }
}

code {
  font-family: "Roboto Mono", monospace;
  font-size: 1.4rem;
  color: #666;
}

pre {
  width: 80%;
  margin: 2rem auto;
  padding: 1rem;
  background-color: #222;
  background: linear-gradient(90deg, #444 0%, #444 5rem, #222 5rem);
  background-attachment: local;
  white-space: pre;
  overflow-x: auto;
}
pre::before {
  counter-reset: nr;
}
pre code {
  color: #ddd;
  counter-increment: nr;
}
pre code::before {
  content: counter(nr);
  display: inline-block;
  width: 3rem;
  padding-left: auto;
  margin-left: auto;
  margin-right: 2rem;
  text-align: right;
  font-size: 1.2rem;
  color: var(--main-color-500);
}
pre code.muted {
  color: #888;
}

.abc {
  display: grid;
  grid-template-columns: repeat(26, 1fr);
  justify-items: center;
}
